> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get note and category for a transfer by tx hash and network



## OpenAPI

````yaml /api-reference/platform-api.json get /v2/transfers/enrichment/lookup
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
paths:
  /v2/transfers/enrichment/lookup:
    get:
      tags:
        - Transfer Enrichments
      summary: Get note and category for a transfer by tx hash and network
      operationId: getLookup
      parameters:
        - name: transferId
          required: false
          in: query
          schema:
            type: string
        - name: txHash
          required: false
          in: query
          schema:
            type: string
        - name: network
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxEnrichmentLookupResponseDto'
components:
  schemas:
    TxEnrichmentLookupResponseDto:
      type: object
      properties:
        transferId:
          type: string
        note:
          type: string
        category:
          type: string
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````